Account
Get Current Account
Returns the authenticated user’s account information and API quota.
GET
/
v1
/
me
curl https://api.getmatter.com/public/v1/me \
-H "Authorization: Bearer mat_your_token_here"
import requests
response = requests.get(
"https://api.getmatter.com/public/v1/me",
headers={"Authorization": f"Bearer {token}"}
)
account = response.json()
const response = await fetch("https://api.getmatter.com/public/v1/me", {
headers: { Authorization: `Bearer ${token}` }
});
const account = await response.json();
{
"object": "account",
"id": "act_k8x2m",
"name": "Jane Smith",
"email": "jane@example.com",
"rate_limit": {
"read": 120,
"write": 30,
"save": 10,
"search": 30,
"markdown": 20,
"burst": 5
},
"created_at": "2024-06-15T10:30:00Z"
}
Response
string
required
Always
"account".string
required
The account ID. Example:
act_k8x2m.string
required
The user’s display name.
string
required
The user’s email address.
object
required
string
required
ISO 8601 timestamp of account creation.
curl https://api.getmatter.com/public/v1/me \
-H "Authorization: Bearer mat_your_token_here"
import requests
response = requests.get(
"https://api.getmatter.com/public/v1/me",
headers={"Authorization": f"Bearer {token}"}
)
account = response.json()
const response = await fetch("https://api.getmatter.com/public/v1/me", {
headers: { Authorization: `Bearer ${token}` }
});
const account = await response.json();
{
"object": "account",
"id": "act_k8x2m",
"name": "Jane Smith",
"email": "jane@example.com",
"rate_limit": {
"read": 120,
"write": 30,
"save": 10,
"search": 30,
"markdown": 20,
"burst": 5
},
"created_at": "2024-06-15T10:30:00Z"
}
curl https://api.getmatter.com/public/v1/me \
-H "Authorization: Bearer mat_your_token_here"
import requests
response = requests.get(
"https://api.getmatter.com/public/v1/me",
headers={"Authorization": f"Bearer {token}"}
)
account = response.json()
const response = await fetch("https://api.getmatter.com/public/v1/me", {
headers: { Authorization: `Bearer ${token}` }
});
const account = await response.json();
{
"object": "account",
"id": "act_k8x2m",
"name": "Jane Smith",
"email": "jane@example.com",
"rate_limit": {
"read": 120,
"write": 30,
"save": 10,
"search": 30,
"markdown": 20,
"burst": 5
},
"created_at": "2024-06-15T10:30:00Z"
}